using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities
{
	[IgnoreT4]
	[Redis("NUM", "ID", "CODE")]
	[APT.Infrastructure.Api.RootOrg]
	public class T_PF_PARAM_ITEM : MesEntityBase
	{

		[Description("编号")]
		[CUnique(true)]
		[CodeRule(false,2)]
		public string CODE { get; set; }

		[Description("名称")]
        [AcronymField("NAME_ACRONYM")]
        public string NAME { get; set; }

        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }
        [Description("启用标志")]
		[EnumName("FMEnableStatusEnum")]
		public int ENABLE_STATUS { get; set; }

		[Description("备注")]
		public string REMARK { get; set; }

		public string FIELD_NAME { get; set; }
		/// <summary>
		/// 编辑页控件类型
		/// </summary>
		[EnumName("PFParmItemControlTypeEnum")]
		public int EDIT_CONTROL_TYPE { get; set; }

		/// <summary>
		/// 列表页控件类型
		/// </summary>
		[EnumName("PFParamItemColumnControlTypeEnum")]
		public int TABLE_CONTROL_TYPE { get; set; }
		/// <summary>
		/// 显示名称
		/// </summary>
		public string LABEL { get; set; }

		/// <summary>
		/// 是否必输
		/// </summary>
		public bool REQUIRED { get; set; }
		/// <summary>
		/// 允许编辑
		/// </summary>
		public bool EDITABLE { get; set; }

		public bool IS_SHOW { get; set; }

		public string ENUM { get; set; }

		public int NUM { get; set; }

		/// <summary>
		/// 大小写 
		/// </summary>
		[EnumName("FMCaseProcEnum")]
		public int CASE { get; set; }

		/// <summary>
		/// 宽度
		/// </summary>
		public int WIDTH { get; set; }

		 
		public string DEFAULT_VALUE { get; set; }
		 
		public string PROMPT_INFO { get; set; }

		/// <summary>
		/// 编码规则类型
		/// </summary> 
		[EnumName(" PFCodeRuleType")]
		public int CODE_RULE_TYPE { get; set; }

		[Description("源ID")]
		public Guid? SRC_ID { get; set; }
	}
}
